Signal Score for Device (version not set)

Download OpenAPI specification:Download

Authentication

Bearer

Authentication JWT token, prefixed by Bearer: Bearer ${JWT}

Security Scheme Type API Key
Header parameter name: Authorization

InfoService

InfoService_GetDeviceInfo

Authorizations:
Request Body schema: application/json
deviceSessionId
string (deviceSessionId) ^[a-zA-Z0-9]{1, 32}$

Kount's unique identifier for a device session

clientId
string (clientId) ^\d{6}(\d{9})?$

Kount's unique identifier for a client

emailAddress
string (emailAddress) ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2...

Email address associated with the session

ipAddress
string (ipAddress) ^\w{1,255}$

IPv4 address associated with the session

Responses

Request samples

Content type
application/json
{
  • "deviceSessionId": "28221029bfc449169eccecccbd18eb0b",
  • "clientId": "123456",
  • "emailAddress": "bob@example.com",
  • "ipAddress": "1.1.1.1"
}

Response samples

Content type
application/json
{
  • "clientId": "900900",
  • "deviceSessionId": "28221029bfc449169eccecccbd18eb0b",
  • "emailAddress": "bob@example.com",
  • "riskProfile": {
    },
  • "geolocation": {
    },
  • "networkIntelligence": {
    },
  • "deviceProfile": {
    }
}